com.collabnet.ce.soap60.webservices.wiki

## Interface IWikiAppSoap

- All Known Implementing Classes:
    WikiAppSoapMockStub, WikiAppSoapStub

      public interface IWikiAppSoap

  Provides SOAP web service for wiki application.

  Change History

  Version 4.4: No changes.
  Since:
    4.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype)` Attaches the uploaded file to the specified wiki page.
    `void` | `addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments)` Attaches the uploaded file to the specified wiki page.
    `WikiPageSoapDO` | `createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment)` Creates a new wiki page with the specified name, text, etc.
    `void` | `deleteWikiPage(String sessionId, String wikiPageId)` Deletes a wiki page.
    `String` | `getFormattedWikiPageText(String sessionId, String wikiPageId)` Gets specified wiki page text in formatted (HTML) form.
    `WikiPageSoapDO` | `getWikiPageData(String sessionId, String wikiPageId)` Gets specified wiki page data.
    `WikiPageSoapDO` | `getWikiPageDataByName(String sessionId, String projectId, String wikiPageName)` Gets specified wiki page text in formatted (HTML) form.
    `WikiPageSoapList` | `getWikiPageList(String sessionId, String projectId)` Lists all wiki pages that have contents within a project.
    `void` | `setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData)` Sets specified wiki page data.

- - ### Method Detail

    - #### createWikiPage

          WikiPageSoapDO createWikiPage(String sessionId,
                                        String projectId,
                                        String name,
                                        String wikiText,
                                        String versionComment)
                                 throws RemoteException

      Creates a new wiki page with the specified name, text, etc.
      Parameters:
        `sessionId` - SOAP session id.
        `projectId` - Project in which to create a wiki page.
        `name` - Wiki page name.
        `wikiText` - Wiki text for the page.
        `versionComment` - Wiki page version comment.
      Returns:
        Wiki page data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when a page with the specified name already exists in the project
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### deleteWikiPage

          void deleteWikiPage(String sessionId,
                              String wikiPageId)
                       throws RemoteException

      Deletes a wiki page.
      Parameters:
        `sessionId` - User session id.
        `wikiPageId` - Wiki page id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### getWikiPageData

          WikiPageSoapDO getWikiPageData(String sessionId,
                                         String wikiPageId)
                                  throws RemoteException

      Gets specified wiki page data.
      Parameters:
        `sessionId` - User session id.
        `wikiPageId` - Wiki page id.
      Returns:
        Wiki page data object.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the method argument(s) are invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### getFormattedWikiPageText

          String getFormattedWikiPageText(String sessionId,
                                          String wikiPageId)
                                   throws RemoteException

      Gets specified wiki page text in formatted (HTML) form.
      Parameters:
        `sessionId` - User session id.
        `wikiPageId` - Wiki page id.
      Returns:
        Wiki page text in formatted form.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the method argument(s) are invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### getWikiPageDataByName

          WikiPageSoapDO getWikiPageDataByName(String sessionId,
                                               String projectId,
                                               String wikiPageName)
                                        throws RemoteException

      Gets specified wiki page text in formatted (HTML) form. "HomePage" is the default Wiki application home page.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
        `wikiPageName` - Name of the wiki page.
      Returns:
        Wiki page text in formatted form.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the method argument(s) are invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### getWikiPageList

          WikiPageSoapList getWikiPageList(String sessionId,
                                           String projectId)
                                    throws RemoteException

      Lists all wiki pages that have contents within a project.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
      Returns:
        wiki page list
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the method argument(s) are invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3 SP1 HOTFIX1

    - #### setWikiPageData

          void setWikiPageData(String sessionId,
                               WikiPageSoapDO wikiPageData)
                        throws RemoteException

      Sets specified wiki page data.
      Parameters:
        `sessionId` - User session id.
        `wikiPageData` - Wiki page data object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when wiki page data information is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when wiki page data is stale.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### addAttachment

          void addAttachment(String sessionId,
                             String wikiPageId,
                             String fileId,
                             String filename,
                             String mimetype)
                      throws RemoteException

      Attaches the uploaded file to the specified wiki page. The attachment file id is returned by one of the file storage services to upload the file (e.g. FileStorageApp or SimpleFileStorageApp service).
      Parameters:
        `sessionId` - User session id.
        `wikiPageId` - Wiki page id.
        `fileId` - Attachment file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
        `filename` - Attachment file name.
        `mimetype` - Attachment file type.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchVersionFault` - when the specified version is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.3

    - #### addAttachments

          void addAttachments(String sessionId,
                              String wikiPageId,
                              AttachmentSoapDO[] attachments)
                       throws RemoteException

      Attaches the uploaded file to the specified wiki page. The attachment file id is returned by one of the file storage services to upload the file (e.g. FileStorageApp or SimpleFileStorageApp service).
      Parameters:
        `sessionId` - User session id.
        `wikiPageId` - Wiki page id.
        `attachments` - AttachmentSoapDO.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchVersionFault` - when the specified version is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        6.2

Copyright © 2020 CollabNet. All rights reserved.